.main_wrapper {position:relative; height:100vh;}
.main_wrapper .sul_wrap {width:100%; height:calc(100vh - 300px); display:-webkit-box; display:-ms-flexbox; display:flex; margin-top:0px;}
.main_wrapper .sul_inner {width:640px; margin:0 auto;display:flex; align-items:center; flex-direction:column;height:100%; justify-content:center;}
.main_wrapper .d_flex {margin-bottom:30px; display:flex;}
.main_wrapper a.share_logo {width:240px; height:40px; background:url(https://www.idrivemirror.com/webapp/images/blue_mirror_logo.svg?v=1.0.19) no-repeat center; margin:0 auto; font-size:0px; text-indent:999999px; padding:10px; box-sizing:content-box;}
.main_wrapper .spw_body {width:640px; margin:0 auto; display:flex; align-items:center; flex-direction:column; height:100%; justify-content:flex-start; background:#ffffff; max-height:430px; box-shadow:0px 0px 4px 1px #ccc; border-radius:6px; justify-content:center; background:linear-gradient(to top right, #f8ebee52, #ffffff, #fdfde3ad); min-height:400px;}
.main_wrapper .spw_loader {background:url(https://www.idrivemirror.com/webapp/images/virtual_loader.gif?v=1.0.10) no-repeat center; width:250px; height:187px; margin:50px auto; font-size:0px; text-indent:999999px; padding:0px; box-sizing:content-box;}
.main_wrapper .spw_expired_description {font-size:14px; text-align:center; max-width:430px; margin:0 auto; display:table;}
.main_wrapper .spw_loader + .spw_expired_description .loading {display:flex; align-items:center; font-size:22px; font-weight:600; margin-left:20px; gap:0px; flex-direction:row;}
.main_wrapper .footer_signature {text-align:center; font-size:13px; position:fixed; bottom:0px; margin:0px auto; width:100%; margin-bottom:10px;}

/* Web Viewer */
.viewerHelpWrap .helpBlock figure { background-image: url(../images/mirror-WebViewer-helpIcons.svg);}
.viewerHelpWrap .helpBlock figure.fileBrowser { background-position: -1px -435px; width: 30px; height: 26px; }
.viewerHelpWrap .helpBlock figure.snapShot { background-position: 0 -509px; width: 35px; height: 27px; }


@media screen and (max-height:700px){
.main_wrapper .footer_signature {position:static; margin-top:80px;}
.main_wrapper .sul_wrap {height:100vh;}}

.main_wrapper .spw_body_error .spw_error {background:url(https://www.idrivemirror.com/webapp/images/virtualization_error_v2.svg?v=1.0.1?v=1.0.1) no-repeat center; width:250px; height:187px; margin:50px auto; font-size:0px; text-indent:999999px; padding:0px; box-sizing:content-box; margin-top:0px;}
.main_wrapper .spw_body_error .spw_expired_description {font-size:14px;text-align:center; max-width:430px;margin:0px auto; display:table;}
.main_wrapper .spw_body_error .loading {display:flex; align-items:center; font-size:22px; font-weight:600; margin-left:20px; gap:15px; flex-direction:column; margin-bottom:20px;}
.main_wrapper .spw_body_error .spw_error_p {font-size:18px; font-weight:600; line-height:20px; margin-top:0px; margin-bottom:5px;}
.main_wrapper .spw_expired_description .loading a {font-weight:600; text-decoration:underline; color:#0071bc;}

/**error case related**/
.spw_error_p_new {font-size:18px; font-weight:500; line-height:20px; margin:0px; text-align:center; line-height:34px; font-size:18px; width:100%; margin-left:auto; margin-right:auto;}
.spw_expired_description:has(.spw_error_p_new) .loading {width:100%; display:flex; gap:15px; flex-direction:column; margin-bottom:20px; margin-left:0px;}
.spw_expired_description:has(.spw_error_p_new) {max-width:none !IMPORTANT;}
.main_wrapper .footer_signature {max-width:1024px;}

